[arch-commits] Commit in python-astroid/repos (testing-any testing-any/PKGBUILD)

Felix Yan fyan at archlinux.org
Fri Nov 21 03:15:18 UTC 2014


    Date: Friday, November 21, 2014 @ 04:15:16
  Author: fyan
Revision: 226767

archrelease: copy trunk to testing-any

Added:
  python-astroid/repos/testing-any/
  python-astroid/repos/testing-any/PKGBUILD
    (from rev 226766, python-astroid/trunk/PKGBUILD)

----------+
 PKGBUILD |   56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

Copied: python-astroid/repos/testing-any/PKGBUILD (from rev 226766, python-astroid/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2014-11-21 03:15:16 UTC (rev 226767)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Angel Velasquez <angvp at archlinux.org>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-astroid
+pkgname=('python2-astroid' 'python-astroid')
+pkgver=1.3.0
+pkgrel=1
+pkgdesc="Useful miscellaneous modules used by Logilab projects"
+arch=('any')
+url="https://bitbucket.org/logilab/astroid"
+license=('LGPL')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-six' 'python2-six')
+checkdepends=('python-logilab-common' 'python2-logilab-common')
+source=("https://pypi.python.org/packages/source/a/astroid/astroid-${pkgver}.tar.gz")
+sha1sums=('abaf766752f35a82fe8dbccda8396c14c66617e7')
+
+prepare() {
+  cp -a astroid-${pkgver}{,-py3}
+}
+
+build() {
+  cd astroid-${pkgver}
+  python2 setup.py build
+
+  cd ../astroid-${pkgver}-py3
+  python3 setup.py build
+}
+
+check() {
+  cd astroid-${pkgver}
+  PYTHONPATH="$PWD/../build/lib:$PYTHONPATH" python2 -Wi -m unittest discover -s build/lib/astroid/tests -p "unittest*.py"
+
+  cd ../astroid-${pkgver}-py3
+  PYTHONPATH="$PWD/../build/lib:$PYTHONPATH" python -Wi -m unittest discover -s build/lib/astroid/tests -p "unittest*.py" || warning "Tests failed"
+}
+
+package_python2-astroid() {
+  depends=('python2-logilab-common' 'python2-six')
+  replaces=('python2-logilab-astng')
+  conflicts=('python2-logilab-astng')
+
+  cd astroid-${pkgver}
+
+  python2 setup.py install --optimize=1 --skip-build --prefix=/usr --root="${pkgdir}"
+}
+
+package_python-astroid() {
+  depends=('python-logilab-common' 'python-six')
+  replaces=('python-logilab-astng')
+  conflicts=('python-logilab-astng')
+
+  cd astroid-${pkgver}-py3
+
+  python3 setup.py install --optimize=1 --skip-build --prefix=/usr --root="${pkgdir}"
+}


More information about the arch-commits mailing list